/*
 * Copyright 2010-2011 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.servlet;

import com.squeakysand.commons.io.StreamHelper;

import java.io.InputStream;
import java.io.IOException;

import javax.servlet.ServletOutputStream;
import javax.servlet.ServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author <a href="http://craigsdickson.com">Craig S. Dickson</a>
 */
public class ResourceServletHelper {

    private static final Logger LOG = LoggerFactory.getLogger(ResourceServletHelper.class);

    public static void writeResourceAsServletResponse(String resourcePath, String mimeType, ServletResponse response) throws IOException {
        response.setContentType(mimeType);
        InputStream resourceStream = ResourceServletHelper.class.getResourceAsStream(resourcePath);
        ServletOutputStream outputStream = response.getOutputStream();
        StreamHelper.copyInputStreamToOutputStream(resourceStream, outputStream);
    }

}
